using SqlSugar;
using System;
using System.Collections.Generic;
using System.Security.Principal;
using System.Text;

namespace SlnMesnac.Model.domain
{
    /// <summary>
    /// 待朗读信息信息
    /// </summary>
    [SugarTable("mes_product_read_info"), TenantAttribute("mes")]
    public class MesProductReadInfo
    {
        /// <summary>
        /// 主键ID
        /// </summary>
        [SugarColumn(ColumnName = "read_id", IsPrimaryKey = true, IsIdentity = true)]
        public long ReadId { get; set; }

        /// <summary>
        /// 待朗读信息
        /// </summary>
        [SugarColumn(ColumnName = "read_info")]
        public string ReadInfo { get; set; }

        /// <summary>
        /// 可用标志：0-不可用,1-可朗读
        /// </summary>
        [SugarColumn(ColumnName = "use_flag")]
        public int? UseFlag { get; set; } 

        /// <summary>
        /// 朗读总次数
        /// </summary>
        [SugarColumn(ColumnName = "read_total")]
        public int ReadTotal { get; set; } 

        /// <summary>
        /// 已朗读次数
        /// </summary>
        [SugarColumn(ColumnName = "read_count")]
        public int? ReadCount { get; set; } 

        /// <summary>
        /// 朗读状态:0-未开始；1-朗读中;2-朗读结束
        /// </summary>
        [SugarColumn(ColumnName = "read_status")]
        public int? ReadStatus { get; set; } 

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnName = "creat_time")]
        public DateTime? CreatTime { get; set; } // datetime 对应 DateTime?

        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnName = "update_time")]
        public DateTime? UpdateTime { get; set; } // datetime 对应 DateTime?

        /// <summary>
        /// 朗读结束时间
        /// </summary>
        [SugarColumn(ColumnName = "end_time")]
        public DateTime? EndTime { get; set; } // datetime 对应 DateTime
    }
}
